2021-06-05 11:05  阅读(4381)
文章分类:MySQL 高级知识 文章标签:MySQLMySQL 技术内幕MySQL 高级
©  原文作者:developer_chan 原文地址:https://www.cnblogs.com/developer_chan

前言:前段时间发现在家使用和公司一样的mysql jdbc驱动版本发生了异常,原因:家里mysql数据库版本与公司不一致导致。查询了相关资料,发现mysql jdbc驱动版本与mysql数据库版本有一定的对应关系,用错了版本就会出现连接不上数据库的异常。

这里给出mysql jdbc驱动版本与mysql数据库版本的对应关系,照着以下关系,选择相应的jdbc驱动和mysql数据版本即可。

Connector/J 5.1 支持Mysql 4.1、Mysql 5.0、Mysql 5.1、Mysql 6.0 alpha这些版本。
Connector/J 5.0 支持MySQL 4.1、MySQL 5.0 servers、distributed transaction (XA)。
Connector/J 3.1 支持MySQL 4.1、MySQL 5.0 servers、MySQL 5.0 except distributed transaction (XA) support。
Connector/J 3.0 支持MySQL 3.x or MySQL 4.1。

点赞(3)
版权归原创作者所有,任何形式转载请联系作者; Java 技术驿站 >> MySQL JDBC驱动版本与MySQL数据库版本对应关系
下一篇
MySQL高级知识(一)——基础